Ubuntu için Swift 5.1.1'in güvenlik içeriği hakkında

Bu belgede Ubuntu için Swift 5.1.1'in güvenlik içeriği açıklanmaktadır.

Apple güvenlik güncellemeleri hakkında

Apple, müşterilerini korumak amacıyla, tam bir inceleme gerçekleştirilene ve yamalar veya sürümler kullanıma sunulana kadar güvenlik sorunlarını açıklamaz, tartışmaz veya onaylamaz. Son sürümler Apple güvenlik güncellemeleri sayfasında listelenmektedir.

Apple güvenlik belgelerinde güvenlik açıkları mümkün olduğunca CVE Kimliği ile belirtilir.

Güvenlik hakkında daha fazla bilgi için Apple Ürün Güvenliği sayfasına bakın.

Ubuntu için Swift 5.1.1

Yayınlanma tarihi: 11 Ekim 2019

Foundation

İlgili sürümler: Ubuntu 14.04, 16.04 ve 18.04

Etki: URLSession'daki dosya açıklayıcılarının yanlış bir şekilde yönetilmesi, farkında olmadan verilerin açığa çıkarılmasına neden olabilir

Açıklama: URLSession dosya açıklayıcılarının yönetimiyle ilgili yanlış mantık Swift 5.0'a uyacak şekilde güncellenerek bu sorun giderildi.

CVE-2019-8790: Apple

Apple tarafından üretilmeyen ürünler veya Apple tarafından denetlenmeyen veya test edilmeyen bağımsız web siteleri hakkındaki bilgiler bir öneri veya onay niteliği taşımadan sunulmuştur. Üçüncü taraf web sitelerinin veya ürünlerinin seçilmesi, performansı veya kullanılması konusunda Apple hiçbir sorumluluk kabul etmez. Apple, üçüncü taraf web sitelerinin doğruluğu veya güvenilirliğiyle ilgili herhangi bir beyanda bulunmamaktadır. Ek bilgi için tedarikçi ile irtibat kurun.

Yayın Tarihi: